﻿namespace Singleton
{
    internal class Dublet
    {
        #region singleton
        private Dublet() { }

        //leniwicja inicjacja
        private static Dublet instancja1 = new Dublet();
        private static Dublet instancja2 = new Dublet();
        private static Dublet aktulna = instancja2;

        public static Dublet Instancja
        {
            get
            {
                if (aktulna == instancja1)
                    aktulna = instancja2;
                else
                    aktulna = instancja1;

                return aktulna;
            }
        }
        #endregion

        private List<string> zdarzenia = new List<string>();

        public void Dodaj(string opis)
        {
            zdarzenia.Add(DateTime.Now.ToString() + ": " + opis);
        }

        public void Zapisz(string ścieżkaPliku)
        {
            File.WriteAllLines(ścieżkaPliku, zdarzenia.ToArray());
        }
    }
}
