﻿namespace Singleton
{
    internal class RejestrZdarzeń1
    {
        #region singleton
        private RejestrZdarzeń1() { }

        /*
        private static RejestrZdarzeń1 instancja = new RejestrZdarzeń1();

        public static RejestrZdarzeń1 Instancja
        {
            get 
            { 
                return instancja; 
            }
        }
        */

        //public static RejestrZdarzeń1 Instancja { get; } = new RejestrZdarzeń1();

        //leniwicja inicjacja
        private static RejestrZdarzeń1 instancja = null;

        public static RejestrZdarzeń1 Instancja
        {
            get
            {
                if(instancja == null) instancja = new RejestrZdarzeń1();
                return instancja;
            }
        }        
        #endregion

        private List<string> zdarzenia = new List<string>();

        public void Dodaj(string opis)
        {
            zdarzenia.Add(DateTime.Now.ToString() + ": " + opis);
        }

        public void Zapisz(string ścieżkaPliku)
        {
            File.WriteAllLines(ścieżkaPliku, zdarzenia.ToArray());
        }
    }
}
